<?php

 add_action( 'init', 'createwpviralebookpages' );
	function createwpviralebookpages() {
		register_post_type( 'go-limited',
			array(
				'labels' => array(
					'name' => __( 'Scarcity Lock' ),
					'singular_name' => __( 'Scarcity Lock' )
				),
			'public' => true,
			'has_archive' => true,
			'menu_icon' => plugins_url().'/scarcitylock/images/favicon.png',
			'rewrite' => true
			)
		);
		flush_rewrite_rules( );
	}
	
add_action( 'add_meta_boxes', 'createmetadataforviralebookpage' );
function createmetadataforviralebookpage()
{
	add_meta_box( 'go-limited', 'Settings:', 'settingsforviralebookpage', 'go-limited', 'normal', 'high' );
}


function settingsforviralebookpage( $post )
{
	$values = get_post_custom( $post->ID );
	$logo = isset( $values['logo'] ) ? esc_attr( $values['logo'][0] ) : '';
	$subheadline = isset( $values['subheadline'] ) ? esc_attr( $values['subheadline'][0] ) : '';
	$featureheadline1 = isset( $values['featureheadline1'] ) ? esc_attr( $values['featureheadline1'][0] ) : '';
	$featureheadline2 = isset( $values['featureheadline2'] ) ? esc_attr( $values['featureheadline2'][0] ) : '';
	$featureheadline3 = isset( $values['featureheadline3'] ) ? esc_attr( $values['featureheadline3'][0] ) : '';

	$featurecontent1 = isset( $values['featurecontent1'] ) ? esc_attr( $values['featurecontent1'][0] ) : '';
	$featurecontent2 = isset( $values['featurecontent2'] ) ? esc_attr( $values['featurecontent2'][0] ) : '';
	$featurecontent3 = isset( $values['featurecontent3'] ) ? esc_attr( $values['featurecontent3'][0] ) : '';

	$featureimage1 = isset( $values['featureimage1'] ) ? esc_attr( $values['featureimage1'][0] ) : '';
	$featureimage2 = isset( $values['featureimage2'] ) ? esc_attr( $values['featureimage2'][0] ) : '';
	$featureimage3 = isset( $values['featureimage3'] ) ? esc_attr( $values['featureimage3'][0] ) : '';
	$typography = isset( $values['typography'] ) ? esc_attr( $values['typography'][0] ) : '';
	$buttonstyle = isset( $values['buttonstyle'] ) ? esc_attr( $values['buttonstyle'][0] ) : '';
	$videourl = isset( $values['videourl'] ) ? esc_attr( $values['videourl'][0] ) : '';
	$footer = isset( $values['footer'] ) ? esc_attr( $values['footer'][0] ) : '';
	$background = isset( $values['background'] ) ? esc_attr( $values['background'][0] ) : '';
	$mainheadline = isset( $values['mainheadline'] ) ? esc_attr( $values['mainheadline'][0] ) : '';
	$buttonurl = isset( $values['buttonurl'] ) ? esc_attr( $values['buttonurl'][0] ) : '';
	$boxstyle = isset( $values['boxstyle'] ) ? esc_attr( $values['boxstyle'][0] ) : '';
	$submitbutton = isset( $values['submitbutton'] ) ? esc_attr( $values['submitbutton'][0] ) : '';
	$autoresponder = isset( $values['autoresponder'] ) ? esc_attr( $values['autoresponder'][0] ) : '';

	$ebookheadline = isset( $values['ebookheadline'] ) ? esc_attr( $values['ebookheadline'][0] ) : '';
	$ebooksubheadline = isset( $values['ebooksubheadline'] ) ? esc_attr( $values['ebooksubheadline'][0] ) : '';
	$ebookcover = isset( $values['ebookcover'] ) ? esc_attr( $values['ebookcover'][0] ) : '';
	$signupheadline = isset( $values['signupheadline'] ) ? esc_attr( $values['signupheadline'][0] ) : '';

	$payment = isset( $values['payment'] ) ? esc_attr( $values['payment'][0] ) : '';
	$paymentheadline1 = isset( $values['paymentheadline1'] ) ? esc_attr( $values['paymentheadline1'][0] ) : '';
	$paymentheadline2 = isset( $values['paymentheadline2'] ) ? esc_attr( $values['paymentheadline2'][0] ) : '';
	$buttontext2 = isset( $values['buttontext2'] ) ? esc_attr( $values['buttontext2'][0] ) : '';
	$bigheadline = isset( $values['bigheadline'] ) ? esc_attr( $values['bigheadline'][0] ) : '';
	$bigsubheadline = isset( $values['bigsubheadline'] ) ? esc_attr( $values['bigsubheadline'][0] ) : '';
	$buttontext = isset( $values['buttontext'] ) ? esc_attr( $values['buttontext'][0] ) : '';
	
	$downloadheadline = isset( $values['downloadheadline'] ) ? esc_attr( $values['downloadheadline'][0] ) : '';
	$downloadsubheadline = isset( $values['downloadsubheadline'] ) ? esc_attr( $values['downloadsubheadline'][0] ) : '';
	$downloadtext = isset( $values['downloadtext'] ) ? esc_attr( $values['downloadtext'][0] ) : '';
	$paragraph = isset( $values['paragraph'] ) ? esc_attr( $values['paragraph'][0] ) : '';

	$largeimage = isset( $values['largeimage'] ) ? esc_attr( $values['largeimage'][0] ) : '';
	$embedvideo = isset( $values['embedvideo'] ) ? esc_attr( $values['embedvideo'][0] ) : '';

	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
?>
	<style type="text/css">
		.metaBox label {
			display: block;
			text-transform: uppercase;
			font-size: 11px;
			color: #4278a6;
			font-weight: bold;
			padding: 5px 0;
		}
		.metaBox input[type=text] {
			padding: 5px;
			font-size: 16px;
			width: 650px;
		}
		.metaBox select {
			padding: 5px;
			font-size: 16px;
			width: 650px;
		}
		.metaBox textarea {
			padding: 5px;
			font-size: 16px;
			width: 650px;
			height: 165px;
		}
	</style>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {

		  		$(".design").click(function() {
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".designTab").fadeIn(500); $(".design").addClass('active');
				});

				$(".dashboard").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $("m.ap").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".dashboardTab").fadeIn(500); $(".dashboard").addClass('active');
				});

				$(".slideshow").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".extra").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".slideshowTab").fadeIn(500); $(".slideshow").addClass('active');
				});

				$(".map").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".mapTab").fadeIn(500); $(".map").addClass('active');
				});

				$(".menu").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".menuTab").fadeIn(500); $(".menu").addClass('active');
				});

				$(".language").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".languageTab").fadeIn(500); $(".language").addClass('active');
				});

				$(".extra").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".photosTab").hide(); $(".photos").removeClass('active');
				  $(".extraTab").fadeIn(500); $(".extra").addClass('active');
				});

				$(".photos").click(function() {
		  		  $(".designTab").hide(); $(".design").removeClass('active');
		  		  $(".dashboardTab").hide(); $(".dashboard").removeClass('active');
		  		  $(".slideshowTab").hide(); $(".slideshow").removeClass('active');
		  		  $(".mapTab").hide(); $(".map").removeClass('active');
		  		  $(".menuTab").hide(); $(".menu").removeClass('active');
		  		  $(".languageTab").hide(); $(".language").removeClass('active');
		  		  $(".extraTab").hide(); $(".extra").removeClass('active');
				  $(".photosTab").fadeIn(500); $(".photos").addClass('active');
				});

								jQuery('.upload_button').click(function() {
									uploadID = jQuery(this).prev('input'); // grabs the correct field
									spanID = jQuery(this).parent().find('span'); // grabs the correct span
									formfield = jQuery('.frp_upload').attr('name');
									tb_show('', 'media-upload.php?type=image&TB_iframe=true');
									return false;
								});

								window.send_to_editor = function(html) {
									imgurl = jQuery(html).attr('href'); // grabs the image URL from the IMG tag
									jQuery('#uploadlogo').val(imgurl); // sends the image URL to the hidden input field
									spanID.html(html); //sends the IMG tag to the preview span
									tb_remove();
								}

			});
		</script>
		<style>
			@import url(http://fonts.googleapis.com/css?family=Open+Sans:400,700|Lato:400,700|Source+Sans+Pro:400,700|Play:400,700|Arvo:400,700|Lora:400,700|Merriweather:400,700|Playfair+Display:400,700|Coda:400,800|Patua+One|Coming+Soon|Marck+Script|Short+Stack&subset=latin,cyrillic-ext,greek-ext,vietnamese,latin-ext,cyrillic);

			#siteOptions {
				width: 100%;
				overflow: hidden;
				font-family: 'Open Sans', serif;
				text-shadow: 0px 0px 1px transparent; 
				font-size: 21px;
			}
			
			#fb_nav {
				width: 20%;
				float: left;
				padding: 10px;
				margin-bottom: -1500px;
				padding-bottom: 1500px;
				padding-top: 0;
			}
				#fb_nav ul {
					margin-top: 0;
				}
				#fb_nav ul li a {
					padding: 10px 0;
					padding-left: 45px;
					display: block;
					margin-bottom: -6px;
					width:86%;
					font-size: 14px;
					color: #2f363e;
					margin-left: -10px;
					text-decoration: none;
				}
			#fb_tabs {
				width: 65%;
				float: left;
				padding: 14px 24px;
			}
			input[type=text] {
				display: block;
				width: 100%;
				font-size: 16px;
				padding: 6px;
				margin: 5px 0;
				color: #666;
			}
			textarea {
				display: block;
				width: 100%;
				height: 250px;
				font-size: 14px;
				padding: 6px;
				margin: 5px 0;
				color: #666;
			}
			select {
				display: block;
				width: 100%;
				font-size: 16px;
				padding: 6px;
				margin: 5px 0;
				color: #666;
			}
			#siteOptions strong {
				padding: 0 0;
				margin-bottom: -10px;
				display: block;
				font-size: 16px;
			}
			#siteOptions p {
				font-size: 14px;
				line-height: 21px;
			}
			#siteOptions .dashboard {
				background: url(http://cdn2.iconfinder.com/data/icons/c9d/home.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .dashboard.active, #siteOptions .dashboard:hover {
					background: url(http://cdn2.iconfinder.com/data/icons/c9d/home.png) no-repeat left #FBAF2E;
					background-position: 9px 7px;
					border-right: 2px solid #c5B4C38
				}
			#siteOptions .design {
				background: url(http://cdn2.iconfinder.com/data/icons/c9d/favorites_add.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .design.active, #siteOptions .design:hover {
					background: url(http://cdn2.iconfinder.com/data/icons/c9d/favorites_add.png) no-repeat left #FBAF2E;
					background-position: 9px 7px;
					border-right: 2px solid #5B4C38
				}
			#siteOptions .slideshow {
				background: url(http://cdn2.iconfinder.com/data/icons/c9d/document_edit.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .slideshow.active, #siteOptions .slideshow:hover {
					background: url(http://cdn2.iconfinder.com/data/icons/c9d/document_edit.png) no-repeat left #FBAF2E;
					background-position: 9px 7px;
					border-right: 2px solid #5B4C38
				}
			#siteOptions .map {
				background: url(http://cdn2.iconfinder.com/data/icons/c9d/clock.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .map.active, #siteOptions .map:hover {
					background: url(http://cdn2.iconfinder.com/data/icons/c9d/clock.png) no-repeat left #FBAF2E;
					background-position: 9px 7px;
					border-right: 2px solid #5B4C38
				}
			#siteOptions .menu {
				background: url(http://cdn2.iconfinder.com/data/icons/c9d/email.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .menu.active, #siteOptions .menu:hover {
					background: url(http://cdn2.iconfinder.com/data/icons/c9d/email.png) no-repeat left #FBAF2E;
					background-position: 9px 7px;
					border-right: 2px solid #5B4C38
				}
			#siteOptions .language {
				background: url(http://cdn2.iconfinder.com/data/icons/c9d/close.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .language.active, #siteOptions .language:hover {
					background: url(http://cdn2.iconfinder.com/data/icons/c9d/close.png) no-repeat left #FBAF2E;
					background-position: 9px 7px;
					border-right: 2px solid #5B4C38
				}
			#siteOptions .extra {
				background: url(http://cdn5.iconfinder.com/data/icons/pursuit/24/email.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .extra.active, #siteOptions .extra:hover {
					background: url(http://cdn5.iconfinder.com/data/icons/pursuit/24/email.png) no-repeat left #FBAF2E;
					background-position: 9px 7px;
					border-right: 2px solid #5B4C38
				}
			#siteOptions .photos {
				background: url(http://cdn2.iconfinder.com/data/icons/c9d/go.png) no-repeat left;
				background-position: 9px 7px;
			}
				#siteOptions .photos.active, #siteOptions .photos:hover {
					background: url(http://cdn2.iconfinder.com/data/icons/c9d/go.png) no-repeat left #FBAF2E;
					background-position: 9px 7px;
					border-right: 2px solid #5B4C38
				}
			#siteOptions hr {
				border: none;
				border-bottom: 1px solid #ddd;
				margin-bottom: 20px;
			}
			#postdivrich {
				display: none;
			}
		</style>

			<div id="siteOptions"> <a name="tops"></a>
				                <div id="fb_nav">
				                	<img src="<?php echo plugins_url() ?>/scarcitylock/images/logo.png" style="width: 200px;margin: 15px 0"><br>
									<ul> 
										<li><a href="#tops" class="active dashboard">Headline Settings</a></li>
										<li><a href="#tops" class="slideshow">Main Content Area</a></li>
										<li><a href="#tops" class="design">Typography + BG Design</a></li>       
										<li><a href="#tops" class="map">Time Limit + Download</a></li> 
										<li><a href="#tops" class="menu">Email Auto-Responder</a></li>                  
										<li><a href="#tops" class="photos">3 Feature Area</a></li>   
										<li><a href="#tops" class="language">Buy Now Area</a></li>  
									</ul>
								</div>                 

									<div id="fb_tabs">
									<div class="mapTab"  style="display: none">
										<h2>Time Limit + Download</h2>
						<img src="http://cdn2.iconfinder.com/data/icons/c9d/clock.png" style="float: left; margin-right: 10px;">
						<p>Change the time limit and download content settings:</p>
						<br>
										<strong>Time Limit:</strong><br /> <small style="font-size: 11px;">How many minutes? 1 for one minute, 15 for fifteen minutes.</small>
										<input type="text" name="buttontext" placeholder="1" id="buttontext" value="<?php echo $buttontext; ?>" /><br>
										<strong>Download Link URL:</strong><br />
										<input type="text" name="buttonurl" placeholder="URL to The Download File" id="buttonurl" value="<?php echo $buttonurl; ?>" /><br>
										<strong>Main Headline:</strong><br />
										<input type="text" name="downloadheadline" placeholder="Write Your Main Headline" id="downloadheadline" value="<?php echo $downloadheadline; ?>" /><br>
									
										<?php wp_editor( $downloadsubheadline, 'downloadsubheadline' ); ?>	<br>
										<strong>Download Button Text:</strong><br />
										<input type="text" name="downloadtext" placeholder="Download Button Text" id="downloadtext" value="<?php echo $downloadtext; ?>" /><br>
									</div>  
									<div class="menuTab"  style="display: none">
											<h2>Email Auto-Responder</h2>
						<img src="http://cdn2.iconfinder.com/data/icons/c9d/email.png" style="float: left; margin-right: 10px;">
						<p>Change button text and add your auto-responder HTML form code:</p>
						<br>
											<strong>Submit Button Text:</strong><br />
											<input type="text"  placeholder="Sign Up Now"name="submitbutton" id="submitbutton" value="<?php echo $submitbutton; ?>" /><br>
											<strong>Your Autoresponder Form HTML Code:</strong><br />
											<textarea name="autoresponder"  placeholder="Auto responder HTML form code"id="autoresponder"><?php echo $autoresponder; ?></textarea><br>
									</div>    
									<div class="photosTab" style="display: none">
										<h2>3 Feature Area</h2>
						<img src="http://cdn2.iconfinder.com/data/icons/c9d/go.png" style="float: left; margin-right: 10px;">
						<p>Change the three featured image and content area:</p>
						<br>
											<h4>Feature Benefit #1</h4>
											<p>
												<strong>Image URL:</strong><br />
												<input type="text" placeholder="URL to your image" name="featureimage1" id="featureimage1" value="<?php echo $featureimage1; ?>" />
											</p>     
											<p>
												<strong>Headline:</strong><br />
												<input type="text" placeholder="Image Headline" name="featureheadline1" id="featureheadline1" value="<?php echo $featureheadline1; ?>" />
											</p>  
											
											<?php wp_editor( $featurecontent1, 'featurecontent1' ); ?>
											<br>
											<h4>Feature Benefit #2</h4>
											<p>
												<strong>Image URL:</strong><br />
												<input type="text" placeholder="URL to your image" name="featureimage2" id="featureimage2" value="<?php echo $featureimage2; ?>" />
											</p>     
											<p>
												<strong>Headline:</strong><br />
												<input type="text" placeholder="Image Headline" name="featureheadline2" id="featureheadline2" value="<?php echo $featureheadline2; ?>" />
											</p>  
											
											<?php wp_editor( $featurecontent2, 'featurecontent2' ); ?>
											<br>
											<h4>Feature Benefit #3</h4>
											<p>
												<strong>Image URL:</strong><br />
												<input type="text"  placeholder="URL to your image"name="featureimage3" id="featureimage3" value="<?php echo $featureimage3; ?>" />
											</p>     
											<p>
												<strong>Headline:</strong><br />
												<input type="text" placeholder="Image Headline" name="featureheadline3" id="featureheadline3" value="<?php echo $featureheadline3; ?>" />
											</p>  
											
											<?php wp_editor( $featurecontent3, 'featurecontent3' ); ?>
									</div>                   
									<div class="dashboardTab">  
										<h2>Headline Settings</h2>
						<img src="http://cdn2.iconfinder.com/data/icons/c9d/home.png" style="float: left; margin-right: 10px;">
						<p>Add your logo, change the headline and footer information:</p>
						<br>
											<p>
												<strong>Banner or Logo Image URL:</strong><br />
												<input type="text" placeholder="URL to your banner or logo image" name="logo" id="logo" value="<?php echo $logo; ?>" />
											</p>     
											<p>
												<strong>Main Headline:</strong><br />
												<input type="text"  placeholder="Write your main headline"name="mainheadline" id="mainheadline" value="<?php echo $mainheadline; ?>" />
											</p>                  
											<p>
												<strong>Sub Headline:</strong><br />
												<input type="text"  placeholder="Write your sub headline"name="subheadline" id="subheadline" value="<?php echo $subheadline; ?>" />
											</p>
											<p>
												<strong>Footer Text:</strong><br />
												<input type="text"  placeholder="Copyright &copy; All Rights Reserved"name="footer" id="" value="<?php echo $footer; ?>" />
											</p>
											
									</div> 
<div class="slideshowTab" style="display: none"> 
<h2>Main Content Area</h2>
						<img src="http://cdn2.iconfinder.com/data/icons/c9d/document_edit.png" style="float: left; margin-right: 10px;">
						<p>Make your offer page look stunning with a variety of combination of font styles:</p>
						<br> 
											<p>
												<strong>Ebook Front Cover Image URL: <small style="font-weight: normal">Leave Blank if not using.</small></strong><br />
												<input type="text"  placeholder="URL to your ebook or product image"name="ebookcover" id="ebookcover" value="<?php echo $ebookcover; ?>" />
											</p> 
											<p>
												<strong>Or Video Embed Code: <small style="font-weight: normal">Leave Blank if not using.</small></strong><br />
												<input type="text"  placeholder="Add your HTML video embed code"name="embedvideo" id="embedvideo" value="<?php echo $embedvideo; ?>" />
											</p> 
											<p>
												<strong>Or Large Image:  <small style="font-weight: normal">Leave Blank if not using.</small></strong><br />
												<input type="text"  placeholder="URL to a Large Full Width Image"name="largeimage" id="largeimage" value="<?php echo $largeimage; ?>" />
											</p>    
											<p>
												<strong>Headline:</strong><br />
												<input type="text" placeholder="Write Your Product/Ebook Headline" name="ebookheadline" id="ebookheadline" value="<?php echo $ebookheadline; ?>" />
											</p>                  
											<p>
												<?php wp_editor( $ebooksubheadline, 'ebooksubheadline' ); ?>	
											</p>
											<p>
												<strong>or Sign Up Headline:</strong><br />
												<input type="text"  placeholder="Sign Up Now to Get Started"name="signupheadline" id="" value="<?php echo $signupheadline; ?>" />
											</p>
											
									</div>

									<div class="languageTab" style="display: none">  
										<h2>Buy Now Area</h2>
						<img src="http://cdn2.iconfinder.com/data/icons/c9d/close.png" style="float: left; margin-right: 10px;">
						<p>Time limit is up and now the payment options show</p>
						<br>
											   <p>
												<strong>Time is Up Headline:</strong><br />
												<input type="text"  placeholder="Time is out headline"name="bigheadline" id="bigheadline" value="<?php echo $bigheadline; ?>" />
											</p>                  
											<p>
												<strong>Large Sub Headline:</strong><br />
												<input type="text"  placeholder="Larger time is out sub headline"name="bigsubheadline" id="bigsubheadline" value="<?php echo $bigsubheadline; ?>" />
											</p>
											<p>
												<strong>Small  Headline:</strong><br />
												<input type="text"  placeholder="Add a smaller headline"name="paymentheadline1" id="paymentheadline1" value="<?php echo $paymentheadline1; ?>" />
													
											</p>                  
											<p>
												<?php wp_editor( $paymentheadline2, 'paymentheadline2' ); ?>
											</p>
											<p>
												<strong>Button Text:</strong><br />
												<input type="text"  placeholder="Write your button text"name="buttontext2" id="" value="<?php echo $buttontext2; ?>" />
											</p>
											<p>
												<strong>Payment URL:</strong><br />
												<input type="text"  placeholder="URL to pay your product or affiliate link"name="payment" id="payment" value="<?php echo $payment; ?>" />
											</p> 
									</div>


									                    <div class="designTab" style="display: none">
						
						<h2>Change The Typography</h2>
						<img src="http://cdn2.iconfinder.com/data/icons/c9d/favorites_add.png" style="float: left; margin-right: 10px;">
						<p>Make your offer page look stunning with a variety of combination of font styles:</p>
						<br>
						<strong>Background Style:</strong><br />
						<select name="background" id="background">
							<option value="1" <?php if ($background == '1') { ?> selected <?php } ?>>Default Blank</option>
							<option value="2" <?php if ($background == '2') { ?> selected <?php } ?>>Black</option>
							<option value="3" <?php if ($background == '3') { ?> selected <?php } ?>>Blue</option>
							<option value="4" <?php if ($background == '4') { ?> selected <?php } ?>>Green</option>
							<option value="5" <?php if ($background == '5') { ?> selected <?php } ?>>Red</option>
							<option value="6" <?php if ($background == '6') { ?> selected <?php } ?>>Rainbow</option>
						</select>
						<br><br>
						<strong>Headline Font Style:</strong><br />
						<select name="typography" id="typography">
							<option value="1" <?php if ($typography == '1') { ?> selected <?php } ?>>Default</option>
							<option value="2" <?php if ($typography == '2') { ?> selected <?php } ?>>Open Sans</option>
							<option value="3" <?php if ($typography == '3') { ?> selected <?php } ?>>Lato</option>
							<option value="4" <?php if ($typography == '4') { ?> selected <?php } ?>>Source Sans Pro</option>
							<option value="5" <?php if ($typography == '5') { ?> selected <?php } ?>>Play</option>
							<option value="6" <?php if ($typography == '6') { ?> selected <?php } ?>>Avro</option>
							<option value="7" <?php if ($typography == '7') { ?> selected <?php } ?>>Lora</option>
							<option value="8" <?php if ($typography == '8') { ?> selected <?php } ?>>Merriweather</option>
							<option value="9" <?php if ($typography == '9') { ?> selected <?php } ?>>Playfair Display</option>
							<option value="10" <?php if ($typography == '10') { ?> selected <?php } ?>>Coda</option>
							<option value="11" <?php if ($typography == '11') { ?> selected <?php } ?>>Patua One</option>
							<option value="12" <?php if ($typography == '12') { ?> selected <?php } ?>>Coming Soon</option>
							<option value="13" <?php if ($typography == '13') { ?> selected <?php } ?>>Marck Script</option>
							<option value="14" <?php if ($typography == '14') { ?> selected <?php } ?>>Short Stack</option>
						</select>
						<br><br>
						<strong>Paragraph Font Style:</strong><br />
						<select name="paragraph" id="paragraph">
							<option value="1" <?php if ($paragraph == '1') { ?> selected <?php } ?>>Default</option>
							<option value="2" <?php if ($paragraph == '2') { ?> selected <?php } ?>>Open Sans</option>
							<option value="3" <?php if ($paragraph == '3') { ?> selected <?php } ?>>Lato</option>
							<option value="4" <?php if ($paragraph == '4') { ?> selected <?php } ?>>Source Sans Pro</option>
							<option value="5" <?php if ($paragraph == '5') { ?> selected <?php } ?>>Play</option>
							<option value="6" <?php if ($paragraph == '6') { ?> selected <?php } ?>>Avro</option>
							<option value="7" <?php if ($paragraph == '7') { ?> selected <?php } ?>>Lora</option>
							<option value="8" <?php if ($paragraph == '8') { ?> selected <?php } ?>>Merriweather</option>
							<option value="9" <?php if ($paragraph == '9') { ?> selected <?php } ?>>Playfair Display</option>
							<option value="10" <?php if ($paragraph == '10') { ?> selected <?php } ?>>Coda</option>
							<option value="11" <?php if ($paragraph == '11') { ?> selected <?php } ?>>Patua One</option>
							<option value="12" <?php if ($paragraph == '12') { ?> selected <?php } ?>>Coming Soon</option>
							<option value="13" <?php if ($paragraph == '13') { ?> selected <?php } ?>>Marck Script</option>
							<option value="14" <?php if ($paragraph == '14') { ?> selected <?php } ?>>Short Stack</option>
						</select>
						
						
					</div>
					
					
					

				</div>
				<br clear="all" />

				
			</div>
			









	
	
	<?php	
}


add_action( 'save_post', 'saveviralebookpagesettings' );
function saveviralebookpagesettings( $post_id )
{
	// Bail if we're doing an auto save
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
	
	// if our nonce isn't there, or we can't verify it, bail
	if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
	
	// if our current user can't edit this post, bail
	if( !current_user_can( 'edit_post' ) ) return;
	
	// now we can actually save the data
	$allowed = array( 
		'a' => array( // on allow a tags
			'href' => array() // and those anchords can only have href attribute
		)
	);
	
	// Probably a good idea to make sure your data is set
	if( isset( $_POST['logo'] ) )
		update_post_meta( $post_id, 'logo', wp_kses( $_POST['logo'], $allowed ) );
		
	if( isset( $_POST['subheadline'] ) )
		update_post_meta( $post_id, 'subheadline', esc_attr( $_POST['subheadline'] ) );
	if( isset( $_POST['largeimage'] ) )
		update_post_meta( $post_id, 'largeimage', esc_attr( $_POST['largeimage'] ) );
	if( isset( $_POST['embedvideo'] ) )
		update_post_meta( $post_id, 'embedvideo', esc_attr( $_POST['embedvideo'] ) );

	if( isset( $_POST['downloadtext'] ) )
		update_post_meta( $post_id, 'downloadtext', esc_attr( $_POST['downloadtext'] ) );

	if( isset( $_POST['payment'] ) )
		update_post_meta( $post_id, 'payment', esc_attr( $_POST['payment'] ) );
	if( isset( $_POST['paymentheadline1'] ) )
		update_post_meta( $post_id, 'paymentheadline1', esc_attr( $_POST['paymentheadline1'] ) );
	if( isset( $_POST['paymentheadline2'] ) )
		update_post_meta( $post_id, 'paymentheadline2', esc_attr( $_POST['paymentheadline2'] ) );
	if( isset( $_POST['buttontext2'] ) )
		update_post_meta( $post_id, 'buttontext2', esc_attr( $_POST['buttontext2'] ) );
		
	if( isset( $_POST['featureheadline1'] ) )
		update_post_meta( $post_id, 'featureheadline1', esc_attr( $_POST['featureheadline1'] ) );
		
	if( isset( $_POST['featureimage1'] ) )
		update_post_meta( $post_id, 'featureimage1', esc_attr( $_POST['featureimage1'] ) );
		
	if( isset( $_POST['featurecontent1'] ) )
		update_post_meta( $post_id, 'featurecontent1', esc_attr( $_POST['featurecontent1'] ) );

	if( isset( $_POST['featureheadline2'] ) )
		update_post_meta( $post_id, 'featureheadline2', esc_attr( $_POST['featureheadline2'] ) );
		
	if( isset( $_POST['featureimage2'] ) )
		update_post_meta( $post_id, 'featureimage2', esc_attr( $_POST['featureimage2'] ) );
		
	if( isset( $_POST['featurecontent2'] ) )
		update_post_meta( $post_id, 'featurecontent2', esc_attr( $_POST['featurecontent2'] ) );

	if( isset( $_POST['featureheadline3'] ) )
		update_post_meta( $post_id, 'featureheadline3', esc_attr( $_POST['featureheadline3'] ) );
		
	if( isset( $_POST['featureimage3'] ) )
		update_post_meta( $post_id, 'featureimage3', esc_attr( $_POST['featureimage3'] ) );
		
	if( isset( $_POST['featurecontent3'] ) )
		update_post_meta( $post_id, 'featurecontent3', esc_attr( $_POST['featurecontent3'] ) );

	if( isset( $_POST['buttonstyle'] ) )
		update_post_meta( $post_id, 'buttonstyle', esc_attr( $_POST['buttonstyle'] ) );

	if( isset( $_POST['submitbutton'] ) )
		update_post_meta( $post_id, 'submitbutton', esc_attr( $_POST['submitbutton'] ) );
		
	if( isset( $_POST['bigheadline'] ) )
		update_post_meta( $post_id, 'bigheadline', esc_attr( $_POST['bigheadline'] ) );
	if( isset( $_POST['bigsubheadline'] ) )
		update_post_meta( $post_id, 'bigsubheadline', esc_attr( $_POST['bigsubheadline'] ) );

	if( isset( $_POST['downloadsubheadline'] ) )
		update_post_meta( $post_id, 'downloadsubheadline', esc_attr( $_POST['downloadsubheadline'] ) );
	if( isset( $_POST['downloadheadline'] ) )
		update_post_meta( $post_id, 'downloadheadline', esc_attr( $_POST['downloadheadline'] ) );
	
	if( isset( $_POST['typography'] ) )
		update_post_meta( $post_id, 'typography', esc_attr( $_POST['typography'] ) );

	if( isset( $_POST['mainheadline'] ) )
		update_post_meta( $post_id, 'mainheadline', esc_attr( $_POST['mainheadline'] ) );

	if( isset( $_POST['footer'] ) )
		update_post_meta( $post_id, 'footer', esc_attr( $_POST['footer'] ) );

	if( isset( $_POST['videourl'] ) )
		update_post_meta( $post_id, 'videourl', esc_attr( $_POST['videourl'] ) );

	if( isset( $_POST['background'] ) )
		update_post_meta( $post_id, 'background', esc_attr( $_POST['background'] ) );

	if( isset( $_POST['buttonurl'] ) )
		update_post_meta( $post_id, 'buttonurl', esc_attr( $_POST['buttonurl'] ) );

	if( isset( $_POST['buttontext'] ) )
		update_post_meta( $post_id, 'buttontext', esc_attr( $_POST['buttontext'] ) );

	if( isset( $_POST['boxstyle'] ) )
		update_post_meta( $post_id, 'boxstyle', esc_attr( $_POST['boxstyle'] ) );

	if( isset( $_POST['autoresponder'] ) )
		update_post_meta( $post_id, 'autoresponder', esc_attr( $_POST['autoresponder'] ) );

	if( isset( $_POST['ebooksubheadline'] ) )
		update_post_meta( $post_id, 'ebooksubheadline', esc_attr( $_POST['ebooksubheadline'] ) );
	if( isset( $_POST['ebookheadline'] ) )
		update_post_meta( $post_id, 'ebookheadline', esc_attr( $_POST['ebookheadline'] ) );
	if( isset( $_POST['ebookcover'] ) )
		update_post_meta( $post_id, 'ebookcover', esc_attr( $_POST['ebookcover'] ) );
	if( isset( $_POST['signupheadline'] ) )
		update_post_meta( $post_id, 'signupheadline', esc_attr( $_POST['signupheadline'] ) );

	if( isset( $_POST['paragraph'] ) )
		update_post_meta( $post_id, 'paragraph', esc_attr( $_POST['paragraph'] ) );
	
}
?>